Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0010326 [DCSS] Upload: Maps and Vaults minor have not tried 2016-03-19 18:51 2016-04-11 01:45
Reporter KennySheep View Status public  
Assigned To Claws
Priority normal Resolution done  
Status resolved   Product Branch 0.18 ancient branch
Summary 0010326: Another handful of vaults
Description Some vaults, no two intended for the same .des file. Three of these feature dart slugs and can be ignored if dart slugs don't make it into the stable version of the game.

ossuary_kennysheep_city_of_the_dead: The player has a bunch of doors to chose from, behind one unlucky door is a wraith. The entryway is the same as ossuary_due_mausoleum, as a warning.

kennysheep_slug_sewer: 6 dart slugs and 1 worm guarding an altar to chei and 7 items (mostly potions). There is a very good chance a dart slug will spawn in the line of sight of the player upon entering this sewer, kicking off the fight pretty quickly.

kennysheep_slug_shrine: A chei overflow vault featuring a dart slug trapped in a little pool

kennysheep_spiky_pan_fort: a fairly large fort with a spiky perimeter, full of all the demonspawns and loot one would expect when breaking into netherworld fortresses.

kennysheep_slugbush: early game ambush of up to 12 dart slugs surrounding an island with at least one staircase. no_teleport_into is there on the water tiles in case the random walls block off an area.

kennysheep_arrival_forest: a little entryway to make the dungeon feel like it's in a nice forest.

kennysheep_arrival_seaside: an entryway to make the trip to the dungeon double as a trip to the beach

kennysheep_swamp_mummy_tomb: swamp rune vault, featuring mummies. There's two priests in the final chamber, which are probably the biggest threat in the vault. the rest of it has a bunch of guardian mummies and bog bodies thrown on top of the usual swamp spawns
Additional Information
Tags No tags attached.
Attached Files ? file icon kennysheep_vaults_V1.des [^] (9,393 bytes) 2016-03-19 18:51 [Show Content]
? file icon kennysheep_vaults_V2.des [^] (4,213 bytes) 2016-03-26 17:45 [Show Content]

- Relationships

-  Notes
(0030306)
Claws (developer)
2016-03-19 23:17

_city_of_the_dead: While there's a clear dynamic of a swarm of weakling zombies followed by the careful inspection of chambers, I'm not fond of the constant stop-start explore-to-fight results of so many chambers- especially with the door-opening capabilities of the non-zombie undead possibly leaning the dynamic harder towards the swarm aspect. The trap use is also very awkward, considering that to find all the possible loot one has to deliberately step on all twenty guaranteed trap squares (and also which uses the character that can dump out teleport traps). With the exception of the ancient due_pyramid and dpeg_the_hunt designs, nearly all ossuaries use randomized, specific traps that don't need to be constantly and specifically stepped on.

You also seem to have accidentally used glyphs that result in essentially-unobtainable items underneath glassed wraiths in the entry-way, instead of another glyph excluded from such. The dynamic of items possibly available in the chambers seems obvious enough in actually doing the vault, so it seems excessive if deliberately done.

_slug_sewer: While a lot of sewers are perhaps too large, I dislike the notion of leaning so hard in the other direction - and a moderately larger sewer might provide some terrain tactics lacking in this quick scattered drop-in of several (weak) ranged threats. Also, skipping past the standard water colour scheme results in inconsistent terrain information for console players.

_slug_shrine: D:6 and below this becomes an eel shrine. Aside from turret designs being overused and bland designs, and aside such an arrangement being completely unapproachable for some characters, the vault lacks the overflow.des interest_check() function for making it not take up the minivault slot past when a singular dart slug stops being relevant.

_spiky_pan_fort: The focus on classed demonspawn over regular scattered demons isn't terrible, but the high numbers of unclassed demonspawn is bad - they were meant to be fodder variety away from tier-3 and tier-4 demons, and it's awkward to lean on their weak design (five separate facets as mostly defensive rather than offensive shifts). Contrary to such concerns are a fixed five hell sentinels, which are very solid designs but are probably too prominent here - no other Pan vaults use very much of the hell-aligned 1s, and the Pan-exclusive demonspawn don't quite diminish this.

With zero layout randomization and generous corridor arrangements, the node content randomization and symmetry doesn't really justify four very separate segments and such a large, distinct layout for a randomized-rune pan vault. The iron grates are also awkward, as they randomly make digging valuable in approaching the vault (hall_of_pain has this same problem), and the chance of green crystal is absurdly high even for an unusual place such as Pan. A more condensed, less symmetrical layout without such corridors (one quadrant dedicated to an entry-way, perhaps?) might better justify a random or fixed demonic rune status.

_slugbush: Just a style matter more than anything, but I'd rather have the SUBSTs here condensed a little here in their logic.

_arrival_forest, _arrival_seaside: Changed floor tiles should probably also have changed floor console colours. We may or may not have too many of those relative to arrival vaults and aura mechanics, so this is more of a note and suggestion than a warning.

_swamp_mummy_tomb: The set of swamp end vaults that hinge on non-branch themes still prominently feature some of the same monster set (hydras keep some of their gimmick across derived undead forms, dragons hue close to each other). A rune vault that ignores such a consistent approach is major branch dilution, and the variety introduced is not worth such a sacrifice. Even the threatening and noticeable outliers of other themed swamp rune vaults essentially stay melee threats, compared to the stark shift from the rest of the branch two mummy priests bring (alongside the curse bombing of so many fixed guardian mummies - even the branch focused on such a mechanic eventually diluted that).

The layout isn't bad, though I frown at the exposed level edge, the slim chances of it being possibly to immediately reach the end, and the shallow water randomization that doesn't guarantee any lengths of dry land to fight on. The main vault fodder could probably also be pickier in what bog body / non-bog-bodies it places and have more quantity variety, in more comparisons with the other swamp vaults.

I knew the spider tomb end was going to be a bad precedent, and it was kind of bad of me to mangle a similar undead-based rune vault in cheibrodos_swamp_mausoleum, so let me outline a different path. If it was made noticeably smaller and the monster set was adjusted accordingly, this vault would be okay as a non-end Swamp, Crypt, and/or Cocytus vault.
(0030309)
KennySheep (reporter)
2016-03-26 17:45

I've done a round of fixes for the ones that don't need layout overhauls. The others can be scrapped for now.

ossuary_kennysheep_city_of_the_dead: items should no longer place with the wraiths trapped behind glass (that was a typo on my part). The traps now randomly scatter through the vault instead of being placed at every door, and are limited to spear, arrow and needle traps. The number of chambers with enemies has been reduced to four, three with a mummy and one with the wraith. The problem of the intelligent undead potentially waking up and mobbing loud spellcasters remains, if this is enough of a problem the chamber enemies could be changed into stronger zombies and the wraith motif could be removed

kennysheep_slug_shrine: The slug is no longer trapped in deep water, the vault only placed between D:2 and D:6, and monster gen has been removed to stop eels from infesting the thing.

kennysheep_slugbush: Condensed the NSUBSTs. This vault could possibly also use no_monster_gen to stop it from becoming an eel ambush on D:6-7, if that's too mean.

kennysheep_arrival_forest/kennysheep_arrival_seaside: coloured tiles added.
(0030355)
Claws (developer)
2016-04-11 01:44

Altered vaults added in d2ae9817e79d33.

Resolving the issue for now, without waiting for revivals of the scrapped vaults.

- Issue History
Date Modified Username Field Change
2016-03-19 18:51 KennySheep New Issue
2016-03-19 18:51 KennySheep File Added: kennysheep_vaults_V1.des
2016-03-19 23:17 Claws Note Added: 0030306
2016-03-26 17:45 KennySheep File Added: kennysheep_vaults_V2.des
2016-03-26 17:45 KennySheep Note Added: 0030309
2016-03-26 17:45 KennySheep Note Added: 0030310
2016-03-26 17:46 KennySheep Note Deleted: 0030310
2016-04-11 01:44 Claws Note Added: 0030355
2016-04-11 01:45 Claws Status new => resolved
2016-04-11 01:45 Claws Fixed in Branch => 0.18 development branch
2016-04-11 01:45 Claws Resolution open => done
2016-04-11 01:45 Claws Assigned To => Claws


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker